Author Topic: Error trying to launch installer, undefined function in bootstrap.php  (Read 9087 times)

Offline kewldaemon

  • Newbie
  • *
  • Posts: 8
Re: Error trying to launch installer, undefined function in bootstrap.php
« Reply #15 on: July 31, 2015, 11:37:00 AM »
Okay, so I finally got it working.

1. Completely uninstalled PHP 5.6.11 (during this process, Roundcube was uninstalled as well) because I was going to go back to PHP 5.4.43.
2. During the install of PHP 5.4, I discovered that Roundcube "actually' requires PHP 5.6.11.
3. Uninstalled PHP 5.4.43
4. Instead of installing PHP and the extensions from their perspective individual ports, I used the FreeBSD 'pkg install' (using the below commands [for the FreeBSD people])
# pkg install php56 php56-extensions mod_php56
...
New packages to be INSTALLED:
        php56: 5.6.11
        php56-extensions: 1.0
        mod_php56: 5.6.11
        php56-session: 5.6.11
        php56-opcache: 5.6.11
        php56-xmlwriter: 5.6.11
        php56-xmlreader: 5.6.11
        php56-dom: 5.6.11
        php56-xml: 5.6.11
        php56-simplexml: 5.6.11
        php56-ctype: 5.6.11
        php56-posix: 5.6.11
        php56-hash: 5.6.11
        php56-filter: 5.6.11
        php56-tokenizer: 5.6.11
        php56-json: 5.6.11
        php56-sqlite3: 5.6.11
        php56-pdo_sqlite: 5.6.11
        php56-pdo: 5.6.11
        php56-iconv: 5.6.11
        php56-phar: 5.6.11
...
# pkg install roundcube
...
New packages to be INSTALLED:
        roundcube: 1.1.2,1
        pecl-intl: 3.0.0_2
        php56-pdo_mysql: 5.6.11
        php56-mysql: 5.6.11
        php56-mbstring: 5.6.11
        php56-zip: 5.6.11
...
# pkg install php56-fileinfo php56-openssl php56-mcrypt php56-exif php56-gd php56-curl
...
New packages to be INSTALLED:
        php56-fileinfo: 5.6.11
        php56-openssl: 5.6.11
        php56-mcrypt: 5.6.11
        php56-exif: 5.6.11
        php56-gd: 5.6.11
        php56-curl: 5.6.11
...

Some of the information I gleaned from Kliment Andreev @ http://blog.iandreev.com/?p=1339 and http://blog.iandreev.com/?p=1309 when I did my original install, so I wanted to throw some credit his way.

SKaero, thanks for your patience and time, and all of your help. I really appreciate it.


Offline orie

  • Newbie
  • *
  • Posts: 1
Re: Error trying to launch installer, undefined function in bootstrap.php
« Reply #16 on: April 26, 2016, 03:58:54 PM »
After struggling with this for a while, I finally found the issue for those of us still building packages locally.  In a nut shell, php5x was compiled with ZTS enabled, while mod_php5x was compiled with ZTS disabled, resulting in a module mismatch.  If the reverse is true, this same symptom may occur.  The solution, cd into the port, /usr/ports/lang/php5x and run make config, enable or disable ZTS.  Then cd into /usr/ports/www/mod_php5x and run make config again, with the same ZTS enabled or disabled as it was in php5x.  Then rebuild the ports with whatever method you'd prefer, such as portmaster.  I actually optioned to just make absolutely sure everything was as I wanted, thusly:

portmaster -dr --force-config php56-5.6.20

Hope this helps someone.